Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZContentObjectStateGroupLanguage Class Reference
Inheritance diagram for eZContentObjectStateGroupLanguage:

## Public Member Functions
| isValid (&$messages=array())
| language ()
| hasData ()
| realLanguageID ()
Public Member Functions inherited from eZPersistentObject
| __construct ( $row=null)
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| store ( $fieldFilters=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)

## Static Public Member Functions
static | definition ()
static | fetchByGroup ( $id)
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Public Attributes
| $Description
| $RealLanguageID
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average

## Additional Inherited Members
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

Definition at line 21 of file ezcontentobjectstategrouplanguage.php.

## Member Function Documentation

## ◆ definition()

static eZContentObjectStateGroupLanguage::definition | ( |  | ) |
| static

Returns the definition for the object, the default implementation is to return an empty array. It's upto each inheriting class to return a proper definition array.

The definition array is an associative array consists of these keys:

- fields: an associative array of fields which defines which database field (the key) is to fetched and how they map to object member variables (the value).
- keys: an array of fields which is used for uniquely identifying the object in the table.
- function_attributes: an associative array of attributes which maps to member functions, used for fetching data with functions.
- set_functions: an associative array of attributes which maps to member functions, used for setting data with functions.
- increment_key: the field which is incremented on table inserts.
- class_name: the classname which is used for instantiating new objecs when fetching from the database.
- sort: an associative array which defines the default sorting of lists, the key is the table field while the value is the sorting method which is either 'asc' or 'desc'.
- name: the name of the database table

Example: `public static function definition() { return array( "fields" => array( "id" => "ID", "version" => "Version", "name" => "Name" ), "keys" => array( "id", "version" ), "function_attributes" => array( "current" => "currentVersion", "class_name" => "className" ), "increment_key" => "id", "class_name" => "eZContentClass", "sort" => array( "id" => "asc" ), "name" => "ezcontentclass" ); }`

Returns
  array

Reimplemented from eZPersistentObject.

Definition at line 25 of file ezcontentobjectstategrouplanguage.php.

Referenced by fetchByGroup(), eZContentObjectStateGroup\fetchHTTPPersistentVariables(), and eZContentObjectStateGroup\removeByID().

## ◆ fetchByGroup()

static eZContentObjectStateGroupLanguage::fetchByGroup | ( |  | $id | ) |
| static

Retrieve the available languages of a content object state group by its numerical ID

Parameters

  integer | $id |

Returns
  array an array of eZContentObjectStateGroupLanguage objects

Definition at line 63 of file ezcontentobjectstategrouplanguage.php.

References $id, definition(), and eZPersistentObject\fetchObjectList().

Referenced by eZContentObjectStateGroup\translations().

## ◆ hasData()

eZContentObjectStateGroupLanguage::hasData | ( |  | ) |

Return if this content object state group language has any data to store (= not empty)

Returns
  boolean

Definition at line 107 of file ezcontentobjectstategrouplanguage.php.

References Name.

## ◆ isValid()

eZContentObjectStateGroupLanguage::isValid | ( | & | $messages = `array()` | ) |

Check if the data inside the content object state group language are valid and can be stored in the database

Parameters

  array | $messages |

Returns
  boolean

Definition at line 74 of file ezcontentobjectstategrouplanguage.php.

References $messages, eZPersistentObject\attribute(), language(), and Name.

## ◆ language()

eZContentObjectStateGroupLanguage::language | ( |  | ) |

return the Exponential content language associated with this content object state group language

Returns
  eZContentLanguage

Definition at line 97 of file ezcontentobjectstategrouplanguage.php.

References eZContentLanguage\fetch().

Referenced by isValid().

## ◆ realLanguageID()

eZContentObjectStateGroupLanguage::realLanguageID | ( |  | ) |

returns the language id, without the always available bit

Returns
  int language id

Definition at line 117 of file ezcontentobjectstategrouplanguage.php.

References $RealLanguageID.

## Member Data Documentation

## ◆ $Description

eZContentObjectStateGroupLanguage::$Description

Definition at line 23 of file ezcontentobjectstategrouplanguage.php.

## ◆ $RealLanguageID

eZContentObjectStateGroupLanguage::$RealLanguageID

Definition at line 24 of file ezcontentobjectstategrouplanguage.php.

Referenced by realLanguageID().

The documentation for this class was generated from the following file:

- ezcontentobjectstategrouplanguage.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.